| Version: 3.2.5

Private Member Functions | List of all members
wxGridBlocks::iterator Class Reference

`#include <wx/grid.h>`

## Detailed Description

Read-only forward iterator type.

This is an opaque type, which satisfies the forward iterator requirements, i.e. provides all the expected operations, such as comparison, dereference and pre- and post-increment.

## Private Member Functions

| iterator ()
const wxGridBlockCoords & | operator* () const
const wxGridBlockCoords * | operator-> () const
iterator & | operator++ ()
iterator | operator++ (int)
bool | operator== (const iterator &it) const
bool | operator!= (const iterator &it) const

## Constructor & Destructor Documentation

## ◆ iterator()

wxGridBlocks::iterator::iterator | ( |  | ) |

private

## Member Function Documentation

## ◆ operator!=()

bool wxGridBlocks::iterator::operator!= | ( | const iterator & | it | ) | const

private

## ◆ operator*()

const wxGridBlockCoords& wxGridBlocks::iterator::operator* | ( |  | ) | const

private

## ◆ operator++() [1/2]

iterator& wxGridBlocks::iterator::operator++ | ( |  | ) |

private

## ◆ operator++() [2/2]

iterator wxGridBlocks::iterator::operator++ | ( | int |  | ) |

private

## ◆ operator->()

const wxGridBlockCoords* wxGridBlocks::iterator::operator-> | ( |  | ) | const

private

## ◆ operator==()

bool wxGridBlocks::iterator::operator== | ( | const iterator & | it | ) | const

private